
apiVersion: apps/v1
kind: Deployment
metadata:
  name: pu-articleserver-v1x0x1
  labels:
    app: pu-articleserver-v1x0x1
spec:
  replicas: 1
  selector:
    matchLabels:
      app: pu-articleserver-v1x0x1
  template:
    metadata:
      labels:
        app: pu-articleserver-v1x0x1
    spec:
      hostname: pu-articleserver-v1x0x1
      hostAliases:
        - ip: "101.132.135.79"
          hostnames:
            - "api-glb.daline.com.cn"
      containers:
        - name: pu-articleserver-v1x0x1
          image: dockerhub.daline.com.cn/pu_articleserver_537fc41:1.0.1
          volumeMounts:
            - name: nfs-store
              mountPath: /var/store/nfs
            - name: nfs-store-author
              mountPath: /var/store/nfs_author
            - name: http-store
              mountPath: /var/store/http
            - name: localtime
              mountPath: /etc/localtime
              readOnly: true
          ports:
            - containerPort: 80
              name: "http"
            - containerPort: 81
              name: "websocket"
          env:
            - name: "TZ"
              value: "Asia/Shanghai"
            - name: "SERVE"
              value: "1"
            - name: "IN_K8S"
              value: "1"
            - name: "AUTHOR"
              value: "kun.z"
            - name: "GIT_COMMIT"
              value: "537fc41c69e34365534766ffcee095193ad061f1"
            - name: "DAL_ENV"
              value: "dev"
            - name: "DAL_SPACE"
              value: "westfutu"
            # log config
            - name: "LOG_LEVEL"
              value: "info"
            - name: "LOG_DIR"
              value: "/var/log/daline"
            # file storage config
            - name: "TEMP_FOLDER"
              value: "/tmp/"
            - name: "NFS_FOLDER"
              value: "/var/store/nfs/"
            - name: "NFS_FOLDER_AUTHOR"
              value: "/var/store/nfs_author/"
            - name: "HTTP_FOLDER"
              value: "/var/store/http/"
            - name: "HTTP_BASE_URL"
              value: "/httpstore/dev/westfutu/kun.z/pu_articleserver/1_0_1/"
            - name: "RUN_MODE"
              value: "run"
      volumes:
        - name: nfs-store
          nfs:
            server: 369df4abd8-qmf27.cn-shanghai.nas.aliyuncs.com
            path: "/home/NFSData/dev/westfutu/kun.z/pu_articleserver/1_0_1/"
        - name: nfs-store-author
          nfs:
            server: 369df4abd8-qmf27.cn-shanghai.nas.aliyuncs.com
            path: "/home/NFSData/dev/westfutu/kun.z/"
        - name: http-store
          nfs:
            server: 369df4abd8-qmf27.cn-shanghai.nas.aliyuncs.com
            path: "/home/NFSData/FileServer/files/dev/westfutu/kun.z/pu_articleserver/1_0_1/"
        - name: localtime
          hostPath:
            path: "/etc/localtime"

---
apiVersion: v1
kind: Service
metadata:
  labels:
    app: pu-articleserver-v1x0x1
  name: pu-articleserver-v1x0x1
spec:
  ports:
    - port: 80
      targetPort: 80
      name: "http"
    - port: 81
      targetPort: 81
      name: "websocket"
  selector:
    app: pu-articleserver-v1x0x1

---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: pu-articleserver-v1x0x1
  annotations:
    nginx.ingress.kubernetes.io/rewrite-target: /$2
    nginx.ingress.kubernetes.io/proxy-body-size: 0m
spec:
  ingressClassName: nginx
  rules:
  - host: api-new.westfutu.com
    http:
      paths:
      - path: /westfutu/pu-articleserver-v1x0x1(/|$)(.*)
        pathType: Prefix
        backend:
          service:
            name: pu-articleserver-v1x0x1
            port:
              number: 80

---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: pu-articleserver-v1x0x1-ws
spec:
  ingressClassName: nginx
  rules:
  - host: ws-westfutu-pu-articleserver-v1x0x1.new.westfutu.com
    http:
      paths:
      - path: /
        pathType: Prefix
        backend:
          service:
            name: pu-articleserver-v1x0x1
            port:
              number: 81
---


apiVersion: apps/v1
kind: Deployment
metadata:
  name: pu-articleserveradmin-v1x0x1
  labels:
    app: pu-articleserveradmin-v1x0x1
spec:
  replicas: 1
  selector:
    matchLabels:
      app: pu-articleserveradmin-v1x0x1
  template:
    metadata:
      labels:
        app: pu-articleserveradmin-v1x0x1
    spec:
      hostname: pu-articleserveradmin-v1x0x1
      hostAliases:
        - ip: "101.132.135.79"
          hostnames:
            - "api-glb.daline.com.cn"
      containers:
        - name: pu-articleserveradmin-v1x0x1
          image: dockerhub.daline.com.cn/pu_articleserveradmin_6b3209e:1.0.1
          volumeMounts:
            - name: nfs-store
              mountPath: /var/store/nfs
            - name: nfs-store-author
              mountPath: /var/store/nfs_author
            - name: http-store
              mountPath: /var/store/http
            - name: localtime
              mountPath: /etc/localtime
              readOnly: true
          ports:
            - containerPort: 80
              name: "http"
            - containerPort: 81
              name: "websocket"
          env:
            - name: "TZ"
              value: "Asia/Shanghai"
            - name: "SERVE"
              value: "1"
            - name: "IN_K8S"
              value: "1"
            - name: "AUTHOR"
              value: "kun.z"
            - name: "GIT_COMMIT"
              value: "6b3209ef06eeaf0ca2e491ebdc51a888b1e1355a"
            - name: "DAL_ENV"
              value: "dev"
            - name: "DAL_SPACE"
              value: "westfutu"
            # log config
            - name: "LOG_LEVEL"
              value: "info"
            - name: "LOG_DIR"
              value: "/var/log/daline"
            # file storage config
            - name: "TEMP_FOLDER"
              value: "/tmp/"
            - name: "NFS_FOLDER"
              value: "/var/store/nfs/"
            - name: "NFS_FOLDER_AUTHOR"
              value: "/var/store/nfs_author/"
            - name: "HTTP_FOLDER"
              value: "/var/store/http/"
            - name: "HTTP_BASE_URL"
              value: "/httpstore/dev/westfutu/kun.z/pu_articleserveradmin/1_0_1/"
            - name: "RUN_MODE"
              value: "run"
      volumes:
        - name: nfs-store
          nfs:
            server: 369df4abd8-qmf27.cn-shanghai.nas.aliyuncs.com
            path: "/home/NFSData/dev/westfutu/kun.z/pu_articleserveradmin/1_0_1/"
        - name: nfs-store-author
          nfs:
            server: 369df4abd8-qmf27.cn-shanghai.nas.aliyuncs.com
            path: "/home/NFSData/dev/westfutu/kun.z/"
        - name: http-store
          nfs:
            server: 369df4abd8-qmf27.cn-shanghai.nas.aliyuncs.com
            path: "/home/NFSData/FileServer/files/dev/westfutu/kun.z/pu_articleserveradmin/1_0_1/"
        - name: localtime
          hostPath:
            path: "/etc/localtime"

---
apiVersion: v1
kind: Service
metadata:
  labels:
    app: pu-articleserveradmin-v1x0x1
  name: pu-articleserveradmin-v1x0x1
spec:
  ports:
    - port: 80
      targetPort: 80
      name: "http"
    - port: 81
      targetPort: 81
      name: "websocket"
  selector:
    app: pu-articleserveradmin-v1x0x1

---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: pu-articleserveradmin-v1x0x1
  annotations:
    nginx.ingress.kubernetes.io/rewrite-target: /$2
    nginx.ingress.kubernetes.io/proxy-body-size: 0m
spec:
  ingressClassName: nginx
  rules:
  - host: api-new.westfutu.com
    http:
      paths:
      - path: /westfutu/pu-articleserveradmin-v1x0x1(/|$)(.*)
        pathType: Prefix
        backend:
          service:
            name: pu-articleserveradmin-v1x0x1
            port:
              number: 80

---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: pu-articleserveradmin-v1x0x1-ws
spec:
  ingressClassName: nginx
  rules:
  - host: ws-westfutu-pu-articleserveradmin-v1x0x1.new.westfutu.com
    http:
      paths:
      - path: /
        pathType: Prefix
        backend:
          service:
            name: pu-articleserveradmin-v1x0x1
            port:
              number: 81
---


apiVersion: apps/v1
kind: Deployment
metadata:
  name: pu-assetsmanagement-v1x0x1
  labels:
    app: pu-assetsmanagement-v1x0x1
spec:
  replicas: 1
  selector:
    matchLabels:
      app: pu-assetsmanagement-v1x0x1
  template:
    metadata:
      labels:
        app: pu-assetsmanagement-v1x0x1
    spec:
      hostname: pu-assetsmanagement-v1x0x1
      hostAliases:
        - ip: "101.132.135.79"
          hostnames:
            - "api-glb.daline.com.cn"
      containers:
        - name: pu-assetsmanagement-v1x0x1
          image: dockerhub.daline.com.cn/pu_assetsmanagement_943852a:1.0.1
          volumeMounts:
            - name: nfs-store
              mountPath: /var/store/nfs
            - name: nfs-store-author
              mountPath: /var/store/nfs_author
            - name: http-store
              mountPath: /var/store/http
            - name: localtime
              mountPath: /etc/localtime
              readOnly: true
          ports:
            - containerPort: 80
              name: "http"
            - containerPort: 81
              name: "websocket"
          env:
            - name: "TZ"
              value: "Asia/Shanghai"
            - name: "SERVE"
              value: "1"
            - name: "IN_K8S"
              value: "1"
            - name: "AUTHOR"
              value: "kun.z"
            - name: "GIT_COMMIT"
              value: "943852a55c82d4cf19e0081b8fedac321ba28b8a"
            - name: "DAL_ENV"
              value: "dev"
            - name: "DAL_SPACE"
              value: "westfutu"
            # log config
            - name: "LOG_LEVEL"
              value: "info"
            - name: "LOG_DIR"
              value: "/var/log/daline"
            # file storage config
            - name: "TEMP_FOLDER"
              value: "/tmp/"
            - name: "NFS_FOLDER"
              value: "/var/store/nfs/"
            - name: "NFS_FOLDER_AUTHOR"
              value: "/var/store/nfs_author/"
            - name: "HTTP_FOLDER"
              value: "/var/store/http/"
            - name: "HTTP_BASE_URL"
              value: "/httpstore/dev/westfutu/kun.z/pu_assetsmanagement/1_0_1/"
            - name: "RUN_MODE"
              value: "run"
      volumes:
        - name: nfs-store
          nfs:
            server: 369df4abd8-qmf27.cn-shanghai.nas.aliyuncs.com
            path: "/home/NFSData/dev/westfutu/kun.z/pu_assetsmanagement/1_0_1/"
        - name: nfs-store-author
          nfs:
            server: 369df4abd8-qmf27.cn-shanghai.nas.aliyuncs.com
            path: "/home/NFSData/dev/westfutu/kun.z/"
        - name: http-store
          nfs:
            server: 369df4abd8-qmf27.cn-shanghai.nas.aliyuncs.com
            path: "/home/NFSData/FileServer/files/dev/westfutu/kun.z/pu_assetsmanagement/1_0_1/"
        - name: localtime
          hostPath:
            path: "/etc/localtime"

---
apiVersion: v1
kind: Service
metadata:
  labels:
    app: pu-assetsmanagement-v1x0x1
  name: pu-assetsmanagement-v1x0x1
spec:
  ports:
    - port: 80
      targetPort: 80
      name: "http"
    - port: 81
      targetPort: 81
      name: "websocket"
  selector:
    app: pu-assetsmanagement-v1x0x1

---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: pu-assetsmanagement-v1x0x1
  annotations:
    nginx.ingress.kubernetes.io/rewrite-target: /$2
    nginx.ingress.kubernetes.io/proxy-body-size: 0m
spec:
  ingressClassName: nginx
  rules:
  - host: api-new.westfutu.com
    http:
      paths:
      - path: /westfutu/pu-assetsmanagement-v1x0x1(/|$)(.*)
        pathType: Prefix
        backend:
          service:
            name: pu-assetsmanagement-v1x0x1
            port:
              number: 80

---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: pu-assetsmanagement-v1x0x1-ws
spec:
  ingressClassName: nginx
  rules:
  - host: ws-westfutu-pu-assetsmanagement-v1x0x1.new.westfutu.com
    http:
      paths:
      - path: /
        pathType: Prefix
        backend:
          service:
            name: pu-assetsmanagement-v1x0x1
            port:
              number: 81
---


apiVersion: apps/v1
kind: Deployment
metadata:
  name: pu-datamanagers-v1x0x1
  labels:
    app: pu-datamanagers-v1x0x1
spec:
  replicas: 1
  selector:
    matchLabels:
      app: pu-datamanagers-v1x0x1
  template:
    metadata:
      labels:
        app: pu-datamanagers-v1x0x1
    spec:
      hostname: pu-datamanagers-v1x0x1
      hostAliases:
        - ip: "101.132.135.79"
          hostnames:
            - "api-glb.daline.com.cn"
      containers:
        - name: pu-datamanagers-v1x0x1
          image: dockerhub.daline.com.cn/pu_datamanagers_87b52de:1.0.1
          volumeMounts:
            - name: nfs-store
              mountPath: /var/store/nfs
            - name: nfs-store-author
              mountPath: /var/store/nfs_author
            - name: http-store
              mountPath: /var/store/http
            - name: localtime
              mountPath: /etc/localtime
              readOnly: true
          ports:
            - containerPort: 80
              name: "http"
            - containerPort: 81
              name: "websocket"
          env:
            - name: "TZ"
              value: "Asia/Shanghai"
            - name: "SERVE"
              value: "1"
            - name: "IN_K8S"
              value: "1"
            - name: "AUTHOR"
              value: "kun.z"
            - name: "GIT_COMMIT"
              value: "87b52de2df54aee76144a593435a8b899cb89133"
            - name: "DAL_ENV"
              value: "dev"
            - name: "DAL_SPACE"
              value: "westfutu"
            # log config
            - name: "LOG_LEVEL"
              value: "info"
            - name: "LOG_DIR"
              value: "/var/log/daline"
            # file storage config
            - name: "TEMP_FOLDER"
              value: "/tmp/"
            - name: "NFS_FOLDER"
              value: "/var/store/nfs/"
            - name: "NFS_FOLDER_AUTHOR"
              value: "/var/store/nfs_author/"
            - name: "HTTP_FOLDER"
              value: "/var/store/http/"
            - name: "HTTP_BASE_URL"
              value: "/httpstore/dev/westfutu/kun.z/pu_datamanagers/1_0_1/"
            - name: "RUN_MODE"
              value: "run"
      volumes:
        - name: nfs-store
          nfs:
            server: 369df4abd8-qmf27.cn-shanghai.nas.aliyuncs.com
            path: "/home/NFSData/dev/westfutu/kun.z/pu_datamanagers/1_0_1/"
        - name: nfs-store-author
          nfs:
            server: 369df4abd8-qmf27.cn-shanghai.nas.aliyuncs.com
            path: "/home/NFSData/dev/westfutu/kun.z/"
        - name: http-store
          nfs:
            server: 369df4abd8-qmf27.cn-shanghai.nas.aliyuncs.com
            path: "/home/NFSData/FileServer/files/dev/westfutu/kun.z/pu_datamanagers/1_0_1/"
        - name: localtime
          hostPath:
            path: "/etc/localtime"

---
apiVersion: v1
kind: Service
metadata:
  labels:
    app: pu-datamanagers-v1x0x1
  name: pu-datamanagers-v1x0x1
spec:
  ports:
    - port: 80
      targetPort: 80
      name: "http"
    - port: 81
      targetPort: 81
      name: "websocket"
  selector:
    app: pu-datamanagers-v1x0x1

---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: pu-datamanagers-v1x0x1
  annotations:
    nginx.ingress.kubernetes.io/rewrite-target: /$2
    nginx.ingress.kubernetes.io/proxy-body-size: 0m
spec:
  ingressClassName: nginx
  rules:
  - host: api-new.westfutu.com
    http:
      paths:
      - path: /westfutu/pu-datamanagers-v1x0x1(/|$)(.*)
        pathType: Prefix
        backend:
          service:
            name: pu-datamanagers-v1x0x1
            port:
              number: 80

---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: pu-datamanagers-v1x0x1-ws
spec:
  ingressClassName: nginx
  rules:
  - host: ws-westfutu-pu-datamanagers-v1x0x1.new.westfutu.com
    http:
      paths:
      - path: /
        pathType: Prefix
        backend:
          service:
            name: pu-datamanagers-v1x0x1
            port:
              number: 81
---


apiVersion: apps/v1
kind: Deployment
metadata:
  name: pu-fileparse-v1x0x1
  labels:
    app: pu-fileparse-v1x0x1
spec:
  replicas: 1
  selector:
    matchLabels:
      app: pu-fileparse-v1x0x1
  template:
    metadata:
      labels:
        app: pu-fileparse-v1x0x1
    spec:
      hostname: pu-fileparse-v1x0x1
      hostAliases:
        - ip: "101.132.135.79"
          hostnames:
            - "api-glb.daline.com.cn"
      containers:
        - name: pu-fileparse-v1x0x1
          image: dockerhub.daline.com.cn/pu_fileparse_d60265d:1.0.1
          volumeMounts:
            - name: nfs-store
              mountPath: /var/store/nfs
            - name: nfs-store-author
              mountPath: /var/store/nfs_author
            - name: http-store
              mountPath: /var/store/http
            - name: localtime
              mountPath: /etc/localtime
              readOnly: true
          ports:
            - containerPort: 80
              name: "http"
            - containerPort: 81
              name: "websocket"
          env:
            - name: "TZ"
              value: "Asia/Shanghai"
            - name: "SERVE"
              value: "1"
            - name: "IN_K8S"
              value: "1"
            - name: "AUTHOR"
              value: "kun.z"
            - name: "GIT_COMMIT"
              value: "d60265d58b6dbb881bd28fa967bc3b357830af14"
            - name: "DAL_ENV"
              value: "dev"
            - name: "DAL_SPACE"
              value: "westfutu"
            # log config
            - name: "LOG_LEVEL"
              value: "info"
            - name: "LOG_DIR"
              value: "/var/log/daline"
            # file storage config
            - name: "TEMP_FOLDER"
              value: "/tmp/"
            - name: "NFS_FOLDER"
              value: "/var/store/nfs/"
            - name: "NFS_FOLDER_AUTHOR"
              value: "/var/store/nfs_author/"
            - name: "HTTP_FOLDER"
              value: "/var/store/http/"
            - name: "HTTP_BASE_URL"
              value: "/httpstore/dev/westfutu/kun.z/pu_fileparse/1_0_1/"
            - name: "RUN_MODE"
              value: "run"
      volumes:
        - name: nfs-store
          nfs:
            server: 369df4abd8-qmf27.cn-shanghai.nas.aliyuncs.com
            path: "/home/NFSData/dev/westfutu/kun.z/pu_fileparse/1_0_1/"
        - name: nfs-store-author
          nfs:
            server: 369df4abd8-qmf27.cn-shanghai.nas.aliyuncs.com
            path: "/home/NFSData/dev/westfutu/kun.z/"
        - name: http-store
          nfs:
            server: 369df4abd8-qmf27.cn-shanghai.nas.aliyuncs.com
            path: "/home/NFSData/FileServer/files/dev/westfutu/kun.z/pu_fileparse/1_0_1/"
        - name: localtime
          hostPath:
            path: "/etc/localtime"

---
apiVersion: v1
kind: Service
metadata:
  labels:
    app: pu-fileparse-v1x0x1
  name: pu-fileparse-v1x0x1
spec:
  ports:
    - port: 80
      targetPort: 80
      name: "http"
    - port: 81
      targetPort: 81
      name: "websocket"
  selector:
    app: pu-fileparse-v1x0x1

---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: pu-fileparse-v1x0x1
  annotations:
    nginx.ingress.kubernetes.io/rewrite-target: /$2
    nginx.ingress.kubernetes.io/proxy-body-size: 0m
spec:
  ingressClassName: nginx
  rules:
  - host: api-new.westfutu.com
    http:
      paths:
      - path: /westfutu/pu-fileparse-v1x0x1(/|$)(.*)
        pathType: Prefix
        backend:
          service:
            name: pu-fileparse-v1x0x1
            port:
              number: 80

---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: pu-fileparse-v1x0x1-ws
spec:
  ingressClassName: nginx
  rules:
  - host: ws-westfutu-pu-fileparse-v1x0x1.new.westfutu.com
    http:
      paths:
      - path: /
        pathType: Prefix
        backend:
          service:
            name: pu-fileparse-v1x0x1
            port:
              number: 81
---


apiVersion: apps/v1
kind: Deployment
metadata:
  name: pu-fundmanagement-v1x0x1
  labels:
    app: pu-fundmanagement-v1x0x1
spec:
  replicas: 1
  selector:
    matchLabels:
      app: pu-fundmanagement-v1x0x1
  template:
    metadata:
      labels:
        app: pu-fundmanagement-v1x0x1
    spec:
      hostname: pu-fundmanagement-v1x0x1
      hostAliases:
        - ip: "101.132.135.79"
          hostnames:
            - "api-glb.daline.com.cn"
      containers:
        - name: pu-fundmanagement-v1x0x1
          image: dockerhub.daline.com.cn/pu_fundmanagement_aa1dbb1:1.0.1
          volumeMounts:
            - name: nfs-store
              mountPath: /var/store/nfs
            - name: nfs-store-author
              mountPath: /var/store/nfs_author
            - name: http-store
              mountPath: /var/store/http
            - name: localtime
              mountPath: /etc/localtime
              readOnly: true
          ports:
            - containerPort: 80
              name: "http"
            - containerPort: 81
              name: "websocket"
          env:
            - name: "TZ"
              value: "Asia/Shanghai"
            - name: "SERVE"
              value: "1"
            - name: "IN_K8S"
              value: "1"
            - name: "AUTHOR"
              value: "kun.z"
            - name: "GIT_COMMIT"
              value: "aa1dbb1fdc84893df9c232b23267eee914e434ae"
            - name: "DAL_ENV"
              value: "dev"
            - name: "DAL_SPACE"
              value: "westfutu"
            # log config
            - name: "LOG_LEVEL"
              value: "info"
            - name: "LOG_DIR"
              value: "/var/log/daline"
            # file storage config
            - name: "TEMP_FOLDER"
              value: "/tmp/"
            - name: "NFS_FOLDER"
              value: "/var/store/nfs/"
            - name: "NFS_FOLDER_AUTHOR"
              value: "/var/store/nfs_author/"
            - name: "HTTP_FOLDER"
              value: "/var/store/http/"
            - name: "HTTP_BASE_URL"
              value: "/httpstore/dev/westfutu/kun.z/pu_fundmanagement/1_0_1/"
            - name: "RUN_MODE"
              value: "run"
      volumes:
        - name: nfs-store
          nfs:
            server: 369df4abd8-qmf27.cn-shanghai.nas.aliyuncs.com
            path: "/home/NFSData/dev/westfutu/kun.z/pu_fundmanagement/1_0_1/"
        - name: nfs-store-author
          nfs:
            server: 369df4abd8-qmf27.cn-shanghai.nas.aliyuncs.com
            path: "/home/NFSData/dev/westfutu/kun.z/"
        - name: http-store
          nfs:
            server: 369df4abd8-qmf27.cn-shanghai.nas.aliyuncs.com
            path: "/home/NFSData/FileServer/files/dev/westfutu/kun.z/pu_fundmanagement/1_0_1/"
        - name: localtime
          hostPath:
            path: "/etc/localtime"

---
apiVersion: v1
kind: Service
metadata:
  labels:
    app: pu-fundmanagement-v1x0x1
  name: pu-fundmanagement-v1x0x1
spec:
  ports:
    - port: 80
      targetPort: 80
      name: "http"
    - port: 81
      targetPort: 81
      name: "websocket"
  selector:
    app: pu-fundmanagement-v1x0x1

---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: pu-fundmanagement-v1x0x1
  annotations:
    nginx.ingress.kubernetes.io/rewrite-target: /$2
    nginx.ingress.kubernetes.io/proxy-body-size: 0m
spec:
  ingressClassName: nginx
  rules:
  - host: api-new.westfutu.com
    http:
      paths:
      - path: /westfutu/pu-fundmanagement-v1x0x1(/|$)(.*)
        pathType: Prefix
        backend:
          service:
            name: pu-fundmanagement-v1x0x1
            port:
              number: 80

---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: pu-fundmanagement-v1x0x1-ws
spec:
  ingressClassName: nginx
  rules:
  - host: ws-westfutu-pu-fundmanagement-v1x0x1.new.westfutu.com
    http:
      paths:
      - path: /
        pathType: Prefix
        backend:
          service:
            name: pu-fundmanagement-v1x0x1
            port:
              number: 81
---


apiVersion: apps/v1
kind: Deployment
metadata:
  name: pu-menuctl-v1x0x1
  labels:
    app: pu-menuctl-v1x0x1
spec:
  replicas: 1
  selector:
    matchLabels:
      app: pu-menuctl-v1x0x1
  template:
    metadata:
      labels:
        app: pu-menuctl-v1x0x1
    spec:
      hostname: pu-menuctl-v1x0x1
      hostAliases:
        - ip: "101.132.135.79"
          hostnames:
            - "api-glb.daline.com.cn"
      containers:
        - name: pu-menuctl-v1x0x1
          image: dockerhub.daline.com.cn/pu_menuctl_4749c3a:1.0.1
          volumeMounts:
            - name: nfs-store
              mountPath: /var/store/nfs
            - name: nfs-store-author
              mountPath: /var/store/nfs_author
            - name: http-store
              mountPath: /var/store/http
            - name: localtime
              mountPath: /etc/localtime
              readOnly: true
          ports:
            - containerPort: 80
              name: "http"
            - containerPort: 81
              name: "websocket"
          env:
            - name: "TZ"
              value: "Asia/Shanghai"
            - name: "SERVE"
              value: "1"
            - name: "IN_K8S"
              value: "1"
            - name: "AUTHOR"
              value: "kun.z"
            - name: "GIT_COMMIT"
              value: "4749c3adb9836e3639bd0858299e03b61d8b9600"
            - name: "DAL_ENV"
              value: "dev"
            - name: "DAL_SPACE"
              value: "westfutu"
            # log config
            - name: "LOG_LEVEL"
              value: "info"
            - name: "LOG_DIR"
              value: "/var/log/daline"
            # file storage config
            - name: "TEMP_FOLDER"
              value: "/tmp/"
            - name: "NFS_FOLDER"
              value: "/var/store/nfs/"
            - name: "NFS_FOLDER_AUTHOR"
              value: "/var/store/nfs_author/"
            - name: "HTTP_FOLDER"
              value: "/var/store/http/"
            - name: "HTTP_BASE_URL"
              value: "/httpstore/dev/westfutu/kun.z/pu_menuctl/1_0_1/"
            - name: "RUN_MODE"
              value: "run"
      volumes:
        - name: nfs-store
          nfs:
            server: 369df4abd8-qmf27.cn-shanghai.nas.aliyuncs.com
            path: "/home/NFSData/dev/westfutu/kun.z/pu_menuctl/1_0_1/"
        - name: nfs-store-author
          nfs:
            server: 369df4abd8-qmf27.cn-shanghai.nas.aliyuncs.com
            path: "/home/NFSData/dev/westfutu/kun.z/"
        - name: http-store
          nfs:
            server: 369df4abd8-qmf27.cn-shanghai.nas.aliyuncs.com
            path: "/home/NFSData/FileServer/files/dev/westfutu/kun.z/pu_menuctl/1_0_1/"
        - name: localtime
          hostPath:
            path: "/etc/localtime"

---
apiVersion: v1
kind: Service
metadata:
  labels:
    app: pu-menuctl-v1x0x1
  name: pu-menuctl-v1x0x1
spec:
  ports:
    - port: 80
      targetPort: 80
      name: "http"
    - port: 81
      targetPort: 81
      name: "websocket"
  selector:
    app: pu-menuctl-v1x0x1

---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: pu-menuctl-v1x0x1
  annotations:
    nginx.ingress.kubernetes.io/rewrite-target: /$2
    nginx.ingress.kubernetes.io/proxy-body-size: 0m
spec:
  ingressClassName: nginx
  rules:
  - host: api-new.westfutu.com
    http:
      paths:
      - path: /westfutu/pu-menuctl-v1x0x1(/|$)(.*)
        pathType: Prefix
        backend:
          service:
            name: pu-menuctl-v1x0x1
            port:
              number: 80

---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: pu-menuctl-v1x0x1-ws
spec:
  ingressClassName: nginx
  rules:
  - host: ws-westfutu-pu-menuctl-v1x0x1.new.westfutu.com
    http:
      paths:
      - path: /
        pathType: Prefix
        backend:
          service:
            name: pu-menuctl-v1x0x1
            port:
              number: 81
---


apiVersion: apps/v1
kind: Deployment
metadata:
  name: pu-sms-v1x0x1
  labels:
    app: pu-sms-v1x0x1
spec:
  replicas: 1
  selector:
    matchLabels:
      app: pu-sms-v1x0x1
  template:
    metadata:
      labels:
        app: pu-sms-v1x0x1
    spec:
      hostname: pu-sms-v1x0x1
      hostAliases:
        - ip: "101.132.135.79"
          hostnames:
            - "api-glb.daline.com.cn"
      containers:
        - name: pu-sms-v1x0x1
          image: dockerhub.daline.com.cn/pu_sms_3c492d1:1.0.1
          volumeMounts:
            - name: nfs-store
              mountPath: /var/store/nfs
            - name: nfs-store-author
              mountPath: /var/store/nfs_author
            - name: http-store
              mountPath: /var/store/http
            - name: localtime
              mountPath: /etc/localtime
              readOnly: true
          ports:
            - containerPort: 80
              name: "http"
            - containerPort: 81
              name: "websocket"
          env:
            - name: "TZ"
              value: "Asia/Shanghai"
            - name: "SERVE"
              value: "1"
            - name: "IN_K8S"
              value: "1"
            - name: "AUTHOR"
              value: "alex.c"
            - name: "GIT_COMMIT"
              value: "3c492d1d5ab9f940dcbf1cd6520e20710a8d4fea"
            - name: "DAL_ENV"
              value: "dev"
            - name: "DAL_SPACE"
              value: "westfutu"
            # log config
            - name: "LOG_LEVEL"
              value: "info"
            - name: "LOG_DIR"
              value: "/var/log/daline"
            # file storage config
            - name: "TEMP_FOLDER"
              value: "/tmp/"
            - name: "NFS_FOLDER"
              value: "/var/store/nfs/"
            - name: "NFS_FOLDER_AUTHOR"
              value: "/var/store/nfs_author/"
            - name: "HTTP_FOLDER"
              value: "/var/store/http/"
            - name: "HTTP_BASE_URL"
              value: "/httpstore/dev/westfutu/alex.c/pu_sms/1_0_1/"
            - name: "RUN_MODE"
              value: "run"
      volumes:
        - name: nfs-store
          nfs:
            server: 369df4abd8-qmf27.cn-shanghai.nas.aliyuncs.com
            path: "/home/NFSData/dev/westfutu/alex.c/pu_sms/1_0_1/"
        - name: nfs-store-author
          nfs:
            server: 369df4abd8-qmf27.cn-shanghai.nas.aliyuncs.com
            path: "/home/NFSData/dev/westfutu/alex.c/"
        - name: http-store
          nfs:
            server: 369df4abd8-qmf27.cn-shanghai.nas.aliyuncs.com
            path: "/home/NFSData/FileServer/files/dev/westfutu/alex.c/pu_sms/1_0_1/"
        - name: localtime
          hostPath:
            path: "/etc/localtime"

---
apiVersion: v1
kind: Service
metadata:
  labels:
    app: pu-sms-v1x0x1
  name: pu-sms-v1x0x1
spec:
  ports:
    - port: 80
      targetPort: 80
      name: "http"
    - port: 81
      targetPort: 81
      name: "websocket"
  selector:
    app: pu-sms-v1x0x1

---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: pu-sms-v1x0x1
  annotations:
    nginx.ingress.kubernetes.io/rewrite-target: /$2
    nginx.ingress.kubernetes.io/proxy-body-size: 0m
spec:
  ingressClassName: nginx
  rules:
  - host: api-new.westfutu.com
    http:
      paths:
      - path: /westfutu/pu-sms-v1x0x1(/|$)(.*)
        pathType: Prefix
        backend:
          service:
            name: pu-sms-v1x0x1
            port:
              number: 80

---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: pu-sms-v1x0x1-ws
spec:
  ingressClassName: nginx
  rules:
  - host: ws-westfutu-pu-sms-v1x0x1.new.westfutu.com
    http:
      paths:
      - path: /
        pathType: Prefix
        backend:
          service:
            name: pu-sms-v1x0x1
            port:
              number: 81
---


apiVersion: apps/v1
kind: Deployment
metadata:
  name: pu-statisticscenter-v1x0x1
  labels:
    app: pu-statisticscenter-v1x0x1
spec:
  replicas: 1
  selector:
    matchLabels:
      app: pu-statisticscenter-v1x0x1
  template:
    metadata:
      labels:
        app: pu-statisticscenter-v1x0x1
    spec:
      hostname: pu-statisticscenter-v1x0x1
      hostAliases:
        - ip: "101.132.135.79"
          hostnames:
            - "api-glb.daline.com.cn"
      containers:
        - name: pu-statisticscenter-v1x0x1
          image: dockerhub.daline.com.cn/pu_statisticscenter_b42d494:1.0.1
          volumeMounts:
            - name: nfs-store
              mountPath: /var/store/nfs
            - name: nfs-store-author
              mountPath: /var/store/nfs_author
            - name: http-store
              mountPath: /var/store/http
            - name: localtime
              mountPath: /etc/localtime
              readOnly: true
          ports:
            - containerPort: 80
              name: "http"
            - containerPort: 81
              name: "websocket"
          env:
            - name: "TZ"
              value: "Asia/Shanghai"
            - name: "SERVE"
              value: "1"
            - name: "IN_K8S"
              value: "1"
            - name: "AUTHOR"
              value: "kun.z"
            - name: "GIT_COMMIT"
              value: "b42d494e7097b684addfdb53cbede4ae553acfbf"
            - name: "DAL_ENV"
              value: "dev"
            - name: "DAL_SPACE"
              value: "westfutu"
            # log config
            - name: "LOG_LEVEL"
              value: "info"
            - name: "LOG_DIR"
              value: "/var/log/daline"
            # file storage config
            - name: "TEMP_FOLDER"
              value: "/tmp/"
            - name: "NFS_FOLDER"
              value: "/var/store/nfs/"
            - name: "NFS_FOLDER_AUTHOR"
              value: "/var/store/nfs_author/"
            - name: "HTTP_FOLDER"
              value: "/var/store/http/"
            - name: "HTTP_BASE_URL"
              value: "/httpstore/dev/westfutu/kun.z/pu_statisticscenter/1_0_1/"
            - name: "RUN_MODE"
              value: "run"
      volumes:
        - name: nfs-store
          nfs:
            server: 369df4abd8-qmf27.cn-shanghai.nas.aliyuncs.com
            path: "/home/NFSData/dev/westfutu/kun.z/pu_statisticscenter/1_0_1/"
        - name: nfs-store-author
          nfs:
            server: 369df4abd8-qmf27.cn-shanghai.nas.aliyuncs.com
            path: "/home/NFSData/dev/westfutu/kun.z/"
        - name: http-store
          nfs:
            server: 369df4abd8-qmf27.cn-shanghai.nas.aliyuncs.com
            path: "/home/NFSData/FileServer/files/dev/westfutu/kun.z/pu_statisticscenter/1_0_1/"
        - name: localtime
          hostPath:
            path: "/etc/localtime"

---
apiVersion: v1
kind: Service
metadata:
  labels:
    app: pu-statisticscenter-v1x0x1
  name: pu-statisticscenter-v1x0x1
spec:
  ports:
    - port: 80
      targetPort: 80
      name: "http"
    - port: 81
      targetPort: 81
      name: "websocket"
  selector:
    app: pu-statisticscenter-v1x0x1

---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: pu-statisticscenter-v1x0x1
  annotations:
    nginx.ingress.kubernetes.io/rewrite-target: /$2
    nginx.ingress.kubernetes.io/proxy-body-size: 0m
spec:
  ingressClassName: nginx
  rules:
  - host: api-new.westfutu.com
    http:
      paths:
      - path: /westfutu/pu-statisticscenter-v1x0x1(/|$)(.*)
        pathType: Prefix
        backend:
          service:
            name: pu-statisticscenter-v1x0x1
            port:
              number: 80

---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: pu-statisticscenter-v1x0x1-ws
spec:
  ingressClassName: nginx
  rules:
  - host: ws-westfutu-pu-statisticscenter-v1x0x1.new.westfutu.com
    http:
      paths:
      - path: /
        pathType: Prefix
        backend:
          service:
            name: pu-statisticscenter-v1x0x1
            port:
              number: 81
---


apiVersion: apps/v1
kind: Deployment
metadata:
  name: pu-westfutu-menuctl-v1x0x1
  labels:
    app: pu-westfutu-menuctl-v1x0x1
spec:
  replicas: 1
  selector:
    matchLabels:
      app: pu-westfutu-menuctl-v1x0x1
  template:
    metadata:
      labels:
        app: pu-westfutu-menuctl-v1x0x1
    spec:
      hostname: pu-westfutu-menuctl-v1x0x1
      hostAliases:
        - ip: "101.132.135.79"
          hostnames:
            - "api-glb.daline.com.cn"
      containers:
        - name: pu-westfutu-menuctl-v1x0x1
          image: dockerhub.daline.com.cn/pu_westfutu_menuctl_bbd2ac8:1.0.1
          volumeMounts:
            - name: nfs-store
              mountPath: /var/store/nfs
            - name: nfs-store-author
              mountPath: /var/store/nfs_author
            - name: http-store
              mountPath: /var/store/http
            - name: localtime
              mountPath: /etc/localtime
              readOnly: true
          ports:
            - containerPort: 80
              name: "http"
            - containerPort: 81
              name: "websocket"
          env:
            - name: "TZ"
              value: "Asia/Shanghai"
            - name: "SERVE"
              value: "1"
            - name: "IN_K8S"
              value: "1"
            - name: "AUTHOR"
              value: "alex.c"
            - name: "GIT_COMMIT"
              value: "bbd2ac8273ff6dc7d89426421bfffab66940cf89"
            - name: "DAL_ENV"
              value: "dev"
            - name: "DAL_SPACE"
              value: "westfutu"
            # log config
            - name: "LOG_LEVEL"
              value: "info"
            - name: "LOG_DIR"
              value: "/var/log/daline"
            # file storage config
            - name: "TEMP_FOLDER"
              value: "/tmp/"
            - name: "NFS_FOLDER"
              value: "/var/store/nfs/"
            - name: "NFS_FOLDER_AUTHOR"
              value: "/var/store/nfs_author/"
            - name: "HTTP_FOLDER"
              value: "/var/store/http/"
            - name: "HTTP_BASE_URL"
              value: "/httpstore/dev/westfutu/alex.c/pu_westfutu_menuctl/1_0_1/"
            - name: "RUN_MODE"
              value: "run"
      volumes:
        - name: nfs-store
          nfs:
            server: 369df4abd8-qmf27.cn-shanghai.nas.aliyuncs.com
            path: "/home/NFSData/dev/westfutu/alex.c/pu_westfutu_menuctl/1_0_1/"
        - name: nfs-store-author
          nfs:
            server: 369df4abd8-qmf27.cn-shanghai.nas.aliyuncs.com
            path: "/home/NFSData/dev/westfutu/alex.c/"
        - name: http-store
          nfs:
            server: 369df4abd8-qmf27.cn-shanghai.nas.aliyuncs.com
            path: "/home/NFSData/FileServer/files/dev/westfutu/alex.c/pu_westfutu_menuctl/1_0_1/"
        - name: localtime
          hostPath:
            path: "/etc/localtime"

---
apiVersion: v1
kind: Service
metadata:
  labels:
    app: pu-westfutu-menuctl-v1x0x1
  name: pu-westfutu-menuctl-v1x0x1
spec:
  ports:
    - port: 80
      targetPort: 80
      name: "http"
    - port: 81
      targetPort: 81
      name: "websocket"
  selector:
    app: pu-westfutu-menuctl-v1x0x1

---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: pu-westfutu-menuctl-v1x0x1
  annotations:
    nginx.ingress.kubernetes.io/rewrite-target: /$2
    nginx.ingress.kubernetes.io/proxy-body-size: 0m
spec:
  ingressClassName: nginx
  rules:
  - host: api-new.westfutu.com
    http:
      paths:
      - path: /westfutu/pu-westfutu-menuctl-v1x0x1(/|$)(.*)
        pathType: Prefix
        backend:
          service:
            name: pu-westfutu-menuctl-v1x0x1
            port:
              number: 80

---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: pu-westfutu-menuctl-v1x0x1-ws
spec:
  ingressClassName: nginx
  rules:
  - host: ws-westfutu-pu-westfutu-menuctl-v1x0x1.new.westfutu.com
    http:
      paths:
      - path: /
        pathType: Prefix
        backend:
          service:
            name: pu-westfutu-menuctl-v1x0x1
            port:
              number: 81
---


apiVersion: apps/v1
kind: Deployment
metadata:
  name: pu-westfutuconfig-v1x0x1
  labels:
    app: pu-westfutuconfig-v1x0x1
spec:
  replicas: 1
  selector:
    matchLabels:
      app: pu-westfutuconfig-v1x0x1
  template:
    metadata:
      labels:
        app: pu-westfutuconfig-v1x0x1
    spec:
      hostname: pu-westfutuconfig-v1x0x1
      hostAliases:
        - ip: "101.132.135.79"
          hostnames:
            - "api-glb.daline.com.cn"
      containers:
        - name: pu-westfutuconfig-v1x0x1
          image: dockerhub.daline.com.cn/pu_westfutuconfig_7ea83e0:1.0.1
          volumeMounts:
            - name: nfs-store
              mountPath: /var/store/nfs
            - name: nfs-store-author
              mountPath: /var/store/nfs_author
            - name: http-store
              mountPath: /var/store/http
            - name: localtime
              mountPath: /etc/localtime
              readOnly: true
          ports:
            - containerPort: 80
              name: "http"
            - containerPort: 81
              name: "websocket"
          env:
            - name: "TZ"
              value: "Asia/Shanghai"
            - name: "SERVE"
              value: "1"
            - name: "IN_K8S"
              value: "1"
            - name: "AUTHOR"
              value: "kun.z"
            - name: "GIT_COMMIT"
              value: "7ea83e0d241ad4ef13426414a51ca209a0b5e46a"
            - name: "DAL_ENV"
              value: "dev"
            - name: "DAL_SPACE"
              value: "westfutu"
            # log config
            - name: "LOG_LEVEL"
              value: "info"
            - name: "LOG_DIR"
              value: "/var/log/daline"
            # file storage config
            - name: "TEMP_FOLDER"
              value: "/tmp/"
            - name: "NFS_FOLDER"
              value: "/var/store/nfs/"
            - name: "NFS_FOLDER_AUTHOR"
              value: "/var/store/nfs_author/"
            - name: "HTTP_FOLDER"
              value: "/var/store/http/"
            - name: "HTTP_BASE_URL"
              value: "/httpstore/dev/westfutu/kun.z/pu_westfutuconfig/1_0_1/"
            - name: "RUN_MODE"
              value: "run"
      volumes:
        - name: nfs-store
          nfs:
            server: 369df4abd8-qmf27.cn-shanghai.nas.aliyuncs.com
            path: "/home/NFSData/dev/westfutu/kun.z/pu_westfutuconfig/1_0_1/"
        - name: nfs-store-author
          nfs:
            server: 369df4abd8-qmf27.cn-shanghai.nas.aliyuncs.com
            path: "/home/NFSData/dev/westfutu/kun.z/"
        - name: http-store
          nfs:
            server: 369df4abd8-qmf27.cn-shanghai.nas.aliyuncs.com
            path: "/home/NFSData/FileServer/files/dev/westfutu/kun.z/pu_westfutuconfig/1_0_1/"
        - name: localtime
          hostPath:
            path: "/etc/localtime"

---
apiVersion: v1
kind: Service
metadata:
  labels:
    app: pu-westfutuconfig-v1x0x1
  name: pu-westfutuconfig-v1x0x1
spec:
  ports:
    - port: 80
      targetPort: 80
      name: "http"
    - port: 81
      targetPort: 81
      name: "websocket"
  selector:
    app: pu-westfutuconfig-v1x0x1

---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: pu-westfutuconfig-v1x0x1
  annotations:
    nginx.ingress.kubernetes.io/rewrite-target: /$2
    nginx.ingress.kubernetes.io/proxy-body-size: 0m
spec:
  ingressClassName: nginx
  rules:
  - host: api-new.westfutu.com
    http:
      paths:
      - path: /westfutu/pu-westfutuconfig-v1x0x1(/|$)(.*)
        pathType: Prefix
        backend:
          service:
            name: pu-westfutuconfig-v1x0x1
            port:
              number: 80

---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: pu-westfutuconfig-v1x0x1-ws
spec:
  ingressClassName: nginx
  rules:
  - host: ws-westfutu-pu-westfutuconfig-v1x0x1.new.westfutu.com
    http:
      paths:
      - path: /
        pathType: Prefix
        backend:
          service:
            name: pu-westfutuconfig-v1x0x1
            port:
              number: 81
---


apiVersion: apps/v1
kind: Deployment
metadata:
  name: pu-westfutumanager-v1x0x1
  labels:
    app: pu-westfutumanager-v1x0x1
spec:
  replicas: 1
  selector:
    matchLabels:
      app: pu-westfutumanager-v1x0x1
  template:
    metadata:
      labels:
        app: pu-westfutumanager-v1x0x1
    spec:
      hostname: pu-westfutumanager-v1x0x1
      hostAliases:
        - ip: "101.132.135.79"
          hostnames:
            - "api-glb.daline.com.cn"
      containers:
        - name: pu-westfutumanager-v1x0x1
          image: dockerhub.daline.com.cn/pu_westfutumanager_32539a3:1.0.1
          volumeMounts:
            - name: nfs-store
              mountPath: /var/store/nfs
            - name: nfs-store-author
              mountPath: /var/store/nfs_author
            - name: http-store
              mountPath: /var/store/http
            - name: localtime
              mountPath: /etc/localtime
              readOnly: true
          ports:
            - containerPort: 80
              name: "http"
            - containerPort: 81
              name: "websocket"
          env:
            - name: "TZ"
              value: "Asia/Shanghai"
            - name: "SERVE"
              value: "1"
            - name: "IN_K8S"
              value: "1"
            - name: "AUTHOR"
              value: "kun.z"
            - name: "GIT_COMMIT"
              value: "32539a36f12cabef8ff3151750d838ae7fa64ce8"
            - name: "DAL_ENV"
              value: "dev"
            - name: "DAL_SPACE"
              value: "westfutu"
            # log config
            - name: "LOG_LEVEL"
              value: "info"
            - name: "LOG_DIR"
              value: "/var/log/daline"
            # file storage config
            - name: "TEMP_FOLDER"
              value: "/tmp/"
            - name: "NFS_FOLDER"
              value: "/var/store/nfs/"
            - name: "NFS_FOLDER_AUTHOR"
              value: "/var/store/nfs_author/"
            - name: "HTTP_FOLDER"
              value: "/var/store/http/"
            - name: "HTTP_BASE_URL"
              value: "/httpstore/dev/westfutu/kun.z/pu_westfutumanager/1_0_1/"
            - name: "RUN_MODE"
              value: "run"
      volumes:
        - name: nfs-store
          nfs:
            server: 369df4abd8-qmf27.cn-shanghai.nas.aliyuncs.com
            path: "/home/NFSData/dev/westfutu/kun.z/pu_westfutumanager/1_0_1/"
        - name: nfs-store-author
          nfs:
            server: 369df4abd8-qmf27.cn-shanghai.nas.aliyuncs.com
            path: "/home/NFSData/dev/westfutu/kun.z/"
        - name: http-store
          nfs:
            server: 369df4abd8-qmf27.cn-shanghai.nas.aliyuncs.com
            path: "/home/NFSData/FileServer/files/dev/westfutu/kun.z/pu_westfutumanager/1_0_1/"
        - name: localtime
          hostPath:
            path: "/etc/localtime"

---
apiVersion: v1
kind: Service
metadata:
  labels:
    app: pu-westfutumanager-v1x0x1
  name: pu-westfutumanager-v1x0x1
spec:
  ports:
    - port: 80
      targetPort: 80
      name: "http"
    - port: 81
      targetPort: 81
      name: "websocket"
  selector:
    app: pu-westfutumanager-v1x0x1

---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: pu-westfutumanager-v1x0x1
  annotations:
    nginx.ingress.kubernetes.io/rewrite-target: /$2
    nginx.ingress.kubernetes.io/proxy-body-size: 0m
spec:
  ingressClassName: nginx
  rules:
  - host: api-new.westfutu.com
    http:
      paths:
      - path: /westfutu/pu-westfutumanager-v1x0x1(/|$)(.*)
        pathType: Prefix
        backend:
          service:
            name: pu-westfutumanager-v1x0x1
            port:
              number: 80

---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: pu-westfutumanager-v1x0x1-ws
spec:
  ingressClassName: nginx
  rules:
  - host: ws-westfutu-pu-westfutumanager-v1x0x1.new.westfutu.com
    http:
      paths:
      - path: /
        pathType: Prefix
        backend:
          service:
            name: pu-westfutumanager-v1x0x1
            port:
              number: 81

